import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();
    util.executeSQLCommand("CREATE SEQUENCE Emp_Seq;");
    
    
    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();
    Professor emp = service.createProfessor("name", 100);
    em.getTransaction().commit();
    System.out.println("Persisted " + emp);

    

    util.checkData("select * from Professor");

    

    
    em.close();
    emf.close();
  }
}